### Class

# Ide LocalDevice

#### Description

    class Ide.LocalDevice : Ide.Device {
      parent_instance: IdeDevice
    }

No description available.

#### Ancestors

- IdeDevice
- IdeObject
- GObject

#### Instance methods

##### Methods inherited from IdeDevice (9)

###### ide_device_get_display_name

This function returns the name of the device. If no name has been set, then `NULL` is returned.

Available since: 3.32

###### ide_device_get_icon_name

Gets the icon to use when displaying the device in UI elements.

Available since: 3.32

###### ide_device_get_id

Retrieves the “id” property of the `IdeDevice`. This is generally not a user friendly name as it is often a guid.

Available since: 3.32

###### ide_device_get_info_async

Asynchronously requests information about the device.

Available since: 3.32

###### ide_device_get_info_finish

Completes an asynchronous request to load the information about a device.

Available since: 3.32

###### ide_device_prepare_configuration

No description available.

###### ide_device_set_display_name

No description available.

###### ide_device_set_icon_name

Sets the icon-name property.

Available since: 3.32

###### ide_device_set_id

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.LocalDevice:triplet

No description available.

##### Properties inherited from IdeDevice (3)

###### Ide.Device:display-name

No description available.

###### Ide.Device:icon-name

The “icon-name” property is the icon to display with the device in various UI elements of Builder.

Available since: 3.32

###### Ide.Device:id

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLocalDeviceClass {
      IdeDeviceClass parent;

    }

###### Class members

`parent` |
    IdeDeviceClass
| No description available.